Skip to main content
GET
/
provider
/
orders
List v2 payment orders (provider)
curl --request GET \
  --url https://api.paycrest.io/v2/provider/orders \
  --header 'API-Key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "total": 123,
    "page": 123,
    "pageSize": 123,
    "orders": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "initiated",
        "orderType": "regular",
        "direction": "offramp",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "amount": "<string>",
        "amountInUsd": "<string>",
        "amountPaid": "<string>",
        "amountReturned": "<string>",
        "percentSettled": "<string>",
        "rate": "<string>",
        "senderFee": "<string>",
        "senderFeePercent": "<string>",
        "transactionFee": "<string>",
        "reference": "<string>",
        "txHash": "<string>",
        "providerAccount": {
          "network": "<string>",
          "receiveAddress": "<string>",
          "validUntil": "2023-11-07T05:31:56Z"
        },
        "source": {
          "type": "crypto",
          "currency": "<string>",
          "network": "ethereum",
          "refundAddress": "<string>"
        },
        "destination": {
          "type": "fiat",
          "currency": "<string>",
          "recipient": {
            "institution": "<string>",
            "accountIdentifier": "<string>",
            "accountName": "<string>",
            "memo": "<string>"
          },
          "country": "<string>",
          "providerId": "<string>"
        }
      }
    ]
  }
}

Authorizations

API-Key
string
header
required

Query Parameters

currency
string
required

Fiat currency to filter orders by (e.g. NGN, KES).

Example:

"NGN"

page
integer
default:1
pageSize
integer
default:10
status
enum<string>
Available options:
initiated,
deposited,
pending,
fulfilling,
fulfilled,
validated,
settling,
settled,
cancelled,
refunding,
refunded,
expired
ordering
enum<string>
default:desc
Available options:
asc,
desc

Search by order ID, reference, or account identifier.

export
enum<string>

Pass export=csv with from and to to download a CSV export.

Available options:
csv
from
string<date>

Start date for CSV export (YYYY-MM-DD). Required when export=csv.

to
string<date>

End date for CSV export (YYYY-MM-DD). Required when export=csv.

Response

Paginated list of orders

status
string
Example:

"success"

message
string
data
object